Package org.apache.sling.maven.bundlesupport.fsresource

# Class FileVaultXmlMounter

java.lang.Object
org.apache.sling.maven.bundlesupport.fsresource.FileVaultXmlMounter

public final class FileVaultXmlMounter extends Object
Manages OSGi configurations for File System Resource Provider for File Vault XML.

## Constructor Summary

Constructors
Constructor
Description
`FileVaultXmlMounter(org.apache.maven.plugin.logging.Log log, org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient, org.apache.hc.client5.http.config.RequestConfig.Builder requestConfigBuilder, org.apache.maven.project.MavenProject project)`

## Method Summary

Modifier and Type
Method
Description
`void`
`mount(URI consoleTargetUrl, File jcrRootFile, File filterXmlFile)`
Add configurations to a running OSGi instance for FileVault XML
`void`
`unmount(URI consoleTargetUrl, File jcrRootFile, File filterXmlFile)`
Remove configurations to a running OSGi instance for FileVault XML

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileVaultXmlMounter

public FileVaultXmlMounter(org.apache.maven.plugin.logging.Log log, org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient, org.apache.hc.client5.http.config.RequestConfig.Builder requestConfigBuilder, org.apache.maven.project.MavenProject project)

## Method Details

### mount

public void mount(URI consoleTargetUrl, File jcrRootFile, File filterXmlFile) throws org.apache.maven.plugin.MojoExecutionException
Add configurations to a running OSGi instance for FileVault XML

Parameters:
  `consoleTargetUrl` - The web console base url
  `jcrRootFile` - jcr_root directory
  `filterXmlFile` - FileVault Filter XML file
Throws:
  `org.apache.maven.plugin.MojoExecutionException` - Exception

### unmount

public void unmount(URI consoleTargetUrl, File jcrRootFile, File filterXmlFile) throws org.apache.maven.plugin.MojoExecutionException
Remove configurations to a running OSGi instance for FileVault XML

Parameters:
  `consoleTargetUrl` - The web console base url
  `jcrRootFile` - jcr_root directory
  `filterXmlFile` - FileVault Filter XML file
Throws:
  `org.apache.maven.plugin.MojoExecutionException` - Exception